Skip to content

getClockedInEmployees

READ

Get clocked in employees.

POST /api/v1/people/getClockedInEmployees
curl -X POST '<your-host>/api/v1/people/getClockedInEmployees' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "results": [
    {
      "autoCloseShiftId": "string",
      "avatarUrl": "string",
      "clockIn": "string",
      "clockOut": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "employeeId": "string",
      "firstName": "string",
      "id": "string",
      "jobTitle": "string",
      "lastName": "string",
      "locationId": "string",
      "locationName": "string",
      "note": "string",
      "shiftId": "string",
      "shiftName": "string",
      "status": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}